[android-components](../../index.md) / [mozilla.components.feature.sitepermissions](../index.md) / [SitePermissionsStorage](index.md) / [update](./update.md)

# update

`fun update(sitePermissions: `[`SitePermissions`](../-site-permissions/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/sitepermissions/src/main/java/mozilla/components/feature/sitepermissions/SitePermissionsStorage.kt#L51)

Replaces an existing SitePermissions with the values of [sitePermissions](update.md#mozilla.components.feature.sitepermissions.SitePermissionsStorage$update(mozilla.components.feature.sitepermissions.SitePermissions)/sitePermissions) provided as a parameter.

### Parameters

`sitePermissions` - the sitePermissions to be updated.